Title: Request::toArray
Published: May 20, 2026

---

# Request::toArray(): WordPressAiClientProvidersHttpDTORequestArrayShape

## In this article

 * [Return](https://developer.wordpress.org/reference/classes/wordpress-aiclient-providers-http-dto-request/toarray/?output_format=md#return)
 * [Source](https://developer.wordpress.org/reference/classes/wordpress-aiclient-providers-http-dto-request/toarray/?output_format=md#source)
 * [Related](https://developer.wordpress.org/reference/classes/wordpress-aiclient-providers-http-dto-request/toarray/?output_format=md#related)
 * [Changelog](https://developer.wordpress.org/reference/classes/wordpress-aiclient-providers-http-dto-request/toarray/?output_format=md#changelog)

[ Back to top](https://developer.wordpress.org/reference/classes/wordpress-aiclient-providers-http-dto-request/toarray/?output_format=md#wp--skip-link--target)

{@inheritDoc}

## 󠀁[Return](https://developer.wordpress.org/reference/classes/wordpress-aiclient-providers-http-dto-request/toarray/?output_format=md#return)󠁿

 WordPressAiClientProvidersHttpDTORequestArrayShape

## 󠀁[Source](https://developer.wordpress.org/reference/classes/wordpress-aiclient-providers-http-dto-request/toarray/?output_format=md#source)󠁿

    ```php
    public function toArray(): array
    {
        $array = [
            self::KEY_METHOD => $this->method->value,
            self::KEY_URI => $this->getUri(),
            // Include query params if GET with data
            self::KEY_HEADERS => $this->headers->getAll(),
        ];
        // Include body if present (getBody() handles the conversion)
        $body = $this->getBody();
        if ($body !== null) {
            $array[self::KEY_BODY] = $body;
        }
        if ($this->options !== null) {
            $optionsArray = $this->options->toArray();
            if (!empty($optionsArray)) {
                $array[self::KEY_OPTIONS] = $optionsArray;
            }
        }
        return $array;
    }
    ```

[View all references](https://developer.wordpress.org/reference/files/wp-includes/php-ai-client/src/providers/http/dto/request.php/)
[View on Trac](https://core.trac.wordpress.org/browser/tags/7.0/src/wp-includes/php-ai-client/src/Providers/Http/DTO/Request.php#L325)
[View on GitHub](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/php-ai-client/src/Providers/Http/DTO/Request.php#L325-L345)

## 󠀁[Related](https://developer.wordpress.org/reference/classes/wordpress-aiclient-providers-http-dto-request/toarray/?output_format=md#related)󠁿

| Uses | Description | 
| [Request::getBody()](https://developer.wordpress.org/reference/classes/wordpress-aiclient-providers-http-dto-request/getbody/)`wp-includes/php-ai-client/src/Providers/Http/DTO/Request.php` |

Gets the request body.

  | 
| [Request::getUri()](https://developer.wordpress.org/reference/classes/wordpress-aiclient-providers-http-dto-request/geturi/)`wp-includes/php-ai-client/src/Providers/Http/DTO/Request.php` |

Gets the request URI.

  |

## 󠀁[Changelog](https://developer.wordpress.org/reference/classes/wordpress-aiclient-providers-http-dto-request/toarray/?output_format=md#changelog)󠁿

| Version | Description | 
| [0.1.0](https://developer.wordpress.org/reference/since/0.1.0/) | Introduced. |

## User Contributed Notes

You must [log in](https://login.wordpress.org/?redirect_to=https%3A%2F%2Fdeveloper.wordpress.org%2Freference%2Fclasses%2Fwordpress-aiclient-providers-http-dto-request%2Ftoarray%2F)
before being able to contribute a note or feedback.